#ifndef CAMERA_HPP
#define CAMERA_HPP

#include <glm/glm.hpp>

namespace OpenEngine {

    class Camera
    {
        public:
            Camera() = default;
            ~Camera() = default;
            Camera(const glm::mat4& projection)
                : projection(projection)
            {
            };

            const glm::mat4& GetProjection() const { return projection; };

        protected:
            glm::mat4 projection = glm::mat4(1.0f);
    };

}

#endif // CAMERA_HPP
